import { PageEvent } from '@angular/material';
import { Subject } from 'rxjs';
import { MatMultiSortTableDataSource } from './mat-multi-sort-data-source';
export declare class TableData<T> {
    dataSource: MatMultiSortTableDataSource<T>;
    readonly columns: {
        id: string;
        name: string;
    }[];
    displayedColumns: string[];
    pageSize: number;
    pageIndex: number;
    readonly pageSizeOptions: number[];
    totalElements: number;
    sortParams: string[];
    sortDirs: string[];
    readonly nextObservable: Subject<any>;
    readonly previousObservable: Subject<any>;
    readonly sizeObservable: Subject<any>;
    readonly sortObservable: Subject<void>;
    constructor(columns: {
        id: string;
        name: string;
    }[], options?: {
        defaultSortParams?: string[];
        defaultSortDirs?: string[];
        pageSizeOptions?: number[];
        totalElements?: number;
    });
    setTotalElements(totalElements: number): void;
    onSortEvent(): void;
    onPagnationEvent($event: PageEvent): void;
    setDisplayedColumns(columns: string[]): void;
    setDatasource(dataSource: MatMultiSortTableDataSource<T>): void;
}
